/* Multiple cron.config file
** v1.0 by Jim Hines
** Modify this script however you like.
** This script will copy either s:cron.config1 or 2 to s:cron.config file
** for on the fly config modifications.
** Use a 1 or 2 as an argument. 
*/

	arg confignumber

	if confignumber = '' then do
		call message('No argument.')
		exit
	end

	if ~exists('EZCron:prefs/config.prefs') then configfile = 't:cron.config'
	else do
		open(configprefs, 'EZCron:Prefs/config.prefs', 'R')
		configfile = readln(configprefs)
		close(configprefs)
	end
	
	if confignumber = '1' then do
		address command 'copy s:cron.config1 s:cron.config'
		address command 'copy s:cron.config1' configfile
	end
	
	if confignumber = '2' then do	
		address command 'copy s:cron.config2 s:cron.config'
		address command 'copy s:cron.config2' configfile
	end
	
	/*if confignumber = 3 then do	
		address command 'copy s:cron.config3 s:cron.config'
		address command 'copy s:cron.config3' configfile
	end
	*/
	address EZCRONPREFS refresh
	exit
message: procedure
	call rtezrequest(arg(1),'Okay!','Swap EZCron configs Error','rt_reqpos = reqpos_centerscr rtez_flags=ezreqf_centertext',)
	return
